
-- DROP TABLE tl_culture_template;



CREATE TABLE tl_culture_template (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    template_name varchar(100) NULL,
    user_id numeric(12)  NULL
    );



ALTER TABLE tl_culture_template ADD    
    CONSTRAINT PK_tl_culture_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
        CREATE UNIQUE INDEX idx_tl_culture_template_TemplateName ON 
        tl_culture_template (template_name, user_id);
    